# Dem Aliens 4

## Description

What is the average duration length in seconds? Round to the nearest whole number.



## Solution

<details>
<summary>Show Solution</summary>

### Tools

</details>

## Flags

<details>
<summary>Show Flag</summary>

</details>
